Auth API reference

Auth API · Consumer-Me

get/{app_slug}/v1/me/sessionsAuth

List all active sessions for the EndUser

Each session includes a `current` flag identifying the one belonging to the bearer token used for this request.

Path parameters

app_slug*string

Slug of the app.

Response · 200

data*array

The user's active sessions.

pagination*object

Pagination envelope. Sessions are returned in a single page (`has_more` is always false).

Example

Request

GET https://api.auth.productcraft.co/{app_slug}/v1/me/sessions
Authorization: Bearer YOUR_TOKEN

Response

{
  "data": [
    {
      "id": "string",
      "ip": "string",
      "user_agent": "string",
      "created_at": "2026-01-01T00:00:00.000Z",
      "last_used_at": "2026-01-01T00:00:00.000Z",
      "expires_at": "2026-01-01T00:00:00.000Z",
      "is_current": false
    }
  ],
  "pagination": {}
}